%global commit c6c780c1962520e6f06cc5b4c1ce57f16d647f09
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           libdecor
Version:        0.1.99
Release:        5.git%{shortcommit}%{?dist}
Summary:        Wayland client side decoration library

License:        MIT
URL:            https://gitlab.freedesktop.org/libdecor/libdecor
Source:         %{url}/-/archive/%{commit}/libdecor-%{commit}.tar.gz

Patch0:         cairo-change-titlebar-color.patch

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(xkbcommon)

%description
Libdecor provides a small helper library for providing client side decoration
to Wayland clients.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package gtk
Summary:        GTK3 plugin for libdecor
Requires:       %{name} = %{version}-%{release}
BuildRequires:  pkgconfig(gtk+-3.0)

%description gtk
Plugin for dwaring window decorations in GTK3 style.


%prep
%autosetup -n libdecor-%{commit} -p1


%build
%meson -Ddemo=false
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%{_libdir}/libdecor-0.so.0*
%dir %{_libdir}/libdecor/
%dir %{_libdir}/libdecor/plugins-1
%{_libdir}/libdecor/plugins-1/libdecor-cairo.so

%files devel
%{_includedir}/libdecor-0/
%{_libdir}/libdecor-0.so
%{_libdir}/pkgconfig/libdecor-0.pc

%files gtk
%{_libdir}/libdecor/plugins-1/libdecor-gtk.so


%changelog
* Sun Nov 26 2023 Pavel Artsishevsky <polter.rnd@gmail.com> - 0.1.99-5.gitc6c780c1
- Bump upstream commit (c6c780c1)

* Fri Oct 20 2023 Pavel Artsishevsky <polter.rnd@gmail.com> - 0.1.99-4.git00520662
- Bump upstream commit (00520662)

* Sat Jul 22 2023 Pavel Artsishevsky <polter.rnd@gmail.com> - 0.1.99-3.gitf43652c7
- Bump upstream commit (f43652c7)
- Apply https://gitlab.freedesktop.org/libdecor/libdecor/-/merge_requests/128

* Tue May 30 2023 Pavel Artsishevsky <polter.rnd@gmail.com> - 0.1.99-2.git93a4c06
- Bump upstream commit (93a4c06)
- Change titlebar color

* Tue May 2 2023 Pavel Artsishevsky <polter.rnd@gmail.com> - 0.1.99-1.gitdb4e508
- Bump upstream commit (db4e508)
- Add GTK3 plugin

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 31 2022 Jonas Ådahl <jadahl@redhat.com> - 0.1.1-1
- Bump version to 0.1.1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Jonas Ådahl <jadahl@redhat.com> - 0.1.0-1
- Initial Fedora packaging
